org.apache.poi.hemf.record.emf

## Class HemfWindowing

- java.lang.Object
- - org.apache.poi.hemf.record.emf.HemfWindowing

-     public class HemfWindowing
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HemfWindowing.EmfScaleViewportExtEx` The EMR_SCALEVIEWPORTEXTEX record respecifies the viewport for a device context by using the ratios formed by the specified multiplicands and divisors.
    `static class` | `HemfWindowing.EmfScaleWindowExtEx` The EMR_SCALEWINDOWEXTEX record respecifies the window for a playback device context by using the ratios formed by the specified multiplicands and divisors.
    `static class` | `HemfWindowing.EmfSelectClipPath` The EMR_SELECTCLIPPATH record specifies the current path as a clipping region for a playback device context, combining the new region with any existing clipping region using the specified mode.
    `static class` | `HemfWindowing.EmfSetExcludeClipRect` The EMR_EXCLUDECLIPRECT record specifies a new clipping region that consists of the existing clipping region minus the specified rectangle.
    `static class` | `HemfWindowing.EmfSetIntersectClipRect` The EMR_INTERSECTCLIPRECT record specifies a new clipping region from the intersection of the current clipping region and the specified rectangle.
    `static class` | `HemfWindowing.EmfSetOffsetClipRgn` The EMR_OFFSETCLIPRGN record moves the current clipping region in the playback device context by the specified offsets.
    `static class` | `HemfWindowing.EmfSetViewportExtEx` The EMR_SETVIEWPORTEXTEX record defines the viewport extent.
    `static class` | `HemfWindowing.EmfSetViewportOrgEx` The EMR_SETVIEWPORTORGEX record defines the viewport origin.
    `static class` | `HemfWindowing.EmfSetWindowExtEx` The EMR_SETWINDOWEXTEX record defines the window extent.
    `static class` | `HemfWindowing.EmfSetWindowOrgEx` The EMR_SETWINDOWORGEX record defines the window origin.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HemfWindowing()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HemfWindowing

          public HemfWindowing()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.